## org.codehaus.groovy.grails.web.pages.ext.jsp
Class LocalEntityResolver

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.ext.jsp.LocalEntityResolver

All Implemented Interfaces:
  EntityResolver

    public class LocalEntityResolver

extends Object
implements EntityResolver

Resolves commons JSP DTDs and Schema definitions locally

Author:
  Graeme Rocher

Constructor Summary
`LocalEntityResolver()`

Method Summary
`InputSource` `resolveEntity(String publicId, String systemId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalEntityResolver

    public LocalEntityResolver()

Method Detail

### resolveEntity

    public InputSource resolveEntity(String publicId,
                                     String systemId)
                              throws SAXException,
                                     IOException

  Specified by:
    `resolveEntity` in interface `EntityResolver`
  Throws:
    `SAXException`
    `IOException`

Copyright (c) 2005-2009 The Grails project